JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioProcessorValueTreeState::SliderAttachment Class Reference
juce_audio_processors » utilities

An object of this class maintains a connection between a Slider and a parameter in an AudioProcessorValueTreeState. More...

`#include <juce_AudioProcessorValueTreeState.h>`

## Public Member Functions
| SliderAttachment (AudioProcessorValueTreeState &stateToUse, const String &parameterID, Slider &slider)

## Detailed Description

An object of this class maintains a connection between a Slider and a parameter in an AudioProcessorValueTreeState.

During the lifetime of this SliderAttachment object, it keeps the two things in sync, making it easy to connect a slider to a parameter. When this object is deleted, the connection is broken. Make sure that your AudioProcessorValueTreeState and Slider aren't deleted before this object!

## Constructor & Destructor Documentation

## ◆ SliderAttachment()

AudioProcessorValueTreeState::SliderAttachment::SliderAttachment | ( | AudioProcessorValueTreeState & | stateToUse,
|  | const String & | parameterID,
|  | Slider & | slider )

The documentation for this class was generated from the following file:

- juce_AudioProcessorValueTreeState.h